Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class BlockDeviceMapping

    java.lang.Object
      com.amazonaws.services.autoscaling.model.BlockDeviceMapping

    public class BlockDeviceMapping

extends Object

The BlockDeviceMapping data type.

Constructor Summary
`BlockDeviceMapping()`

Method Summary
`String` | `getDeviceName()` Specifies the name of the device within Amazon EC2.
`String` | `getVirtualName()` Specifies the virtual name associated with the device.
`void` | `setDeviceName(String deviceName)` Specifies the name of the device within Amazon EC2.
`void` | `setVirtualName(String virtualName)` Specifies the virtual name associated with the device.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`BlockDeviceMapping` | `withDeviceName(String deviceName)` Specifies the name of the device within Amazon EC2.
`BlockDeviceMapping` | `withVirtualName(String virtualName)` Specifies the virtual name associated with the device.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockDeviceMapping

    public BlockDeviceMapping()

Method Detail

### getVirtualName

    public String getVirtualName()

  Specifies the virtual name associated with the device.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the virtual name associated with the device.

### setVirtualName

    public void setVirtualName(String virtualName)

  Specifies the virtual name associated with the device.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `virtualName` - Specifies the virtual name associated with the device.

### withVirtualName

    public BlockDeviceMapping withVirtualName(String virtualName)

  Specifies the virtual name associated with the device.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `virtualName` - Specifies the virtual name associated with the device.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDeviceName

    public String getDeviceName()

  Specifies the name of the device within Amazon EC2.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the name of the device within Amazon EC2.

### setDeviceName

    public void setDeviceName(String deviceName)

  Specifies the name of the device within Amazon EC2.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `deviceName` - Specifies the name of the device within Amazon EC2.

### withDeviceName

    public BlockDeviceMapping withDeviceName(String deviceName)

  Specifies the name of the device within Amazon EC2.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `deviceName` - Specifies the name of the device within Amazon EC2.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.